/***********************************************************************************************
 *   amari oscillator based on the mutual copling of an excitatory and an inhibitory neuron.
 ***********************************************************************************************/

AmariNeuron u, v;
HScrollbar hs1;

void setup ()
{
  size(200, 100);
  //initialize the excitatory neuron
  u = new  AmariNeuron(0, 300, -.0155, 10.905, 1.5, .18, 50, 60, 50, "u");
  //initialize the inhibitory neuron
  v = new  AmariNeuron(0, 300, -1, 10.905, 0, .18, 150, 60, 120, "v");
  background( 255 );
  //inhibitory connection from v->
  u.setAfferentConnection(v, -1.5);
  //excitatory connection from u->v
  v.setAfferentConnection(u, 1.5);
  
 hs1 = new HScrollbar(0, 14, width, 16, 16,150);
 
}

void draw ()
{
  noStroke();
  background( 255 );
  u.computeOutput();
  v.computeOutput();
  u.compute();
  v.compute();
  u.drawConnections();
  v.drawConnections();
  u.drawActivation();
  v.drawActivation();
  hs1.update();
  hs1.display();
  u.tau = hs1.getPos()+50;
  v.tau = hs1.getPos()+50;
  text("set frequency", 8, 12);
}


